Bug 846661 (libmatenotify)

Summary: Review Request: libmatenotify - Libraries for mate notify
Product: [Fedora] Fedora Reporter: Dan Mashal <dan.mashal>
Component: Package ReviewAssignee: Wolfgang Ulbrich <chat-to-me>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: chat-to-me, dwmw2, notting, package-review, rdieter, sanjay.ankur
Target Milestone: ---Flags: chat-to-me: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-19 17:50:28 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 840149, 846660    
Attachments:
Description Flags
Mock build.log for rawhide-x86_64 configuration. none

Comment 1 Ankur Sinha (FranciscoD) 2012-08-08 07:40:41 EDT
I'll review  this.
Comment 2 Ankur Sinha (FranciscoD) 2012-08-08 08:36:36 EDT
[+] OK
[-] NA
[?] Issue

[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[?] Spec has consistent macro usage.
Please use either $RPM_BUILD_ROOT or %{buildroot}, not both.

[+] Meets Packaging Guidelines.
[+] License
[+] License field in spec matches
[+] License file included in package
See if you can request upstream to correct the FSF address in the next release?
Not really a blocker, but an important change.

[ankur@ankur libmatenotify-1.4.0]$ !find
find . -name "*" -execdir licensecheck '{}' \; | sed -e '/UNKNOWN/ d' -e
'/GENERATED FILE/ d'
./tests/test-replace-widget.c: *No copyright* LGPL (with incorrect FSF address)
./tests/test-basic.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-multi-actions.c: LGPL (with incorrect FSF address)
./tests/test-server-info.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-replace.c: *No copyright* LGPL (with incorrect FSF address)
./tests/test-xy-actions.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-urgency.c: LGPL (with incorrect FSF address)
./tests/test-error.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-markup.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-xy.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-xy-stress.c: LGPL (with incorrect FSF address)
./tests/test-image.c: LGPL (with incorrect FSF address)
./tests/test-size-changes.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-rtl.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tests/test-default-action.c: LGPL (v2.1 or later) (with incorrect FSF
address)
./test-replace-widget.c: *No copyright* LGPL (with incorrect FSF address)
./test-basic.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-multi-actions.c: LGPL (with incorrect FSF address)
./test-server-info.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-replace.c: *No copyright* LGPL (with incorrect FSF address)
./test-xy-actions.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-urgency.c: LGPL (with incorrect FSF address)
./test-error.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-markup.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-xy.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-xy-stress.c: LGPL (with incorrect FSF address)
./test-image.c: LGPL (with incorrect FSF address)
./test-size-changes.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-rtl.c: LGPL (v2.1 or later) (with incorrect FSF address)
./test-default-action.c: LGPL (v2.1 or later) (with incorrect FSF address)
./tools/notify-send.c: LGPL (v2.1 or later) (with incorrect FSF address)
./notify-send.c: LGPL (v2.1 or later) (with incorrect FSF address)
./libmatenotify/internal.h: LGPL (v2.1 or later) (with incorrect FSF address)
./libmatenotify/notification.c: LGPL (v2.1 or later) (with incorrect FSF
address)
./libmatenotify/notify.h: LGPL (v2.1 or later) (with incorrect FSF address)
./libmatenotify/notification.h: LGPL (v2.1 or later) (with incorrect FSF
address)
./libmatenotify/notify.c: LGPL (v2.1 or later) (with incorrect FSF address)
./internal.h: LGPL (v2.1 or later) (with incorrect FSF address)
./notify-features.h.in: GPL (v2 or later) (with incorrect FSF address)
./notification.c: LGPL (v2.1 or later) (with incorrect FSF address)
./notify.h: LGPL (v2.1 or later) (with incorrect FSF address)
./notification.h: LGPL (v2.1 or later) (with incorrect FSF address)
./notify.c: LGPL (v2.1 or later) (with incorrect FSF address)
[ankur@ankur libmatenotify-1.4.0]$

[+] Spec in American English
[+] Spec is legible.
[+] Sources match upstream md5sum:
[ankur@ankur SPECS]$ review-md5check.sh libmatenotify.spec
Getting http://pub.mate-desktop.org/releases/1.4/libmatenotify-1.4.0.tar.xz to
/tmp/review/libmatenotify-1.4.0.tar.xz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 55276  100 55276    0     0  18668      0  0:00:02  0:00:02 --:--:-- 21251
2d2636ea02de669cf8a8e6163d43186b  /tmp/review/libmatenotify-1.4.0.tar.xz
2d2636ea02de669cf8a8e6163d43186b
/home/ankur/rpmbuild/SOURCES/libmatenotify-1.4.0.tar.xz
removed `/tmp/review/libmatenotify-1.4.0.tar.xz'
removed directory: `/tmp/review'
[ankur@ankur SPECS]$

[-] Package needs ExcludeArch
[+] BuildRequires correct
[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[+] Packages %doc files don't affect runtime.

[-] Headers/static libs in -devel subpackage.
[-] Spec has needed ldconfig in post and postun
[?] .pc files in -devel subpackage/requires pkgconfig
Package needs to Requires: pkgconfig?

[+] .so files in -devel subpackage.
[?] -devel package Requires: %{name} = %{version}-%{release}
Please add 
Requires:       %{name}%{?_isa} = %{version}-%{release}

to the devel subpackage

[+] .la files are removed.

[-] Package is a GUI app and has a .desktop file

[?] Package compiles and builds on at least one arch.
Doesn't build in mock for me with a rawhide-x86_64 configuration. Mock log
attached.

[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[?] Package owns all the directories it creates.
1. The %{_includedir}/libmatenotify directory is unowned. Either add
%dir %{_includedir}/libmatenotify 
to the %files section, or simple use
%{_includedir}/libmatenotify
which takes the directory and all its contents.

2. Similarly, the 
%{_datadir}/gtk-doc/html/libmatenotify/*
directory is unowned. Remove the "*" at the end or add a 
%dir %{_datadir}/gtk-doc/html/libmatenotify/*
line. 

[-] No rpmlint output.
Didn't build. PENDING
[-] final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm [-]qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)
Didn't build. PENDING

SHOULD Items:

[?] Should build in mock.
Fails
[-] Should build on all supported archs
[-] Should function as described.
[-] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[-] check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Some unowned directories must be corrected.
2. Package does not build, please look into this
3. Add pkgconfig to Requires
4. Devel subpackage should require main package
5. Macro usage needs to be consistent

I don't think you need to have a BR: mate-common for the main package and then
again for the devel subpackage. Once for the main package, it gets pulled in
anyway.
Comment 3 Ankur Sinha (FranciscoD) 2012-08-08 08:37:23 EDT
Created attachment 603013 [details]
Mock build.log for rawhide-x86_64 configuration.
Comment 4 Dan Mashal 2012-08-08 08:44:40 EDT
Done as requested.

http://vicodan.fedorapeople.org/matespec/libmatenotify.spec

BTW mate-common SHOULD provide pkgconfg, double check me on this.
Comment 5 Ankur Sinha (FranciscoD) 2012-08-08 08:53:50 EDT
1. Please submit updated SRPMs
2. Please add a changelog entry for all changes that you make, so we know what's happened
3. Does NOT build yet.
Comment 6 Dan Mashal 2012-08-08 09:21:39 EDT
3rd time's a charm

Spec URL: http://vicodan.fedorapeople.org/matespec/libmatenotify.spec
SRPM URL: http://vicodan.fedorapeople.org/materpms/srpms/libmatenotify-1.4.0-3.fc17.src.rpm 

changelog updated

builds in mock.
Comment 7 Ankur Sinha (FranciscoD) 2012-08-08 09:43:13 EDT
Now builds in mock

Issues:

1. in the %files section of the devel package, you've listed the shared object twice
2. Please confirm to one macro style: either RPM_BUILD_ROOT or %{buildroot}
3. Please version the Requires in the devel sub package
4. No need to repeat docs in devel
5. It is preferred if you use the %{name} macro instead of "libmatenotify" throughout the spec. It makes it easier to follow, reduces chances of spelling errors etc.
6. Similarly, in the Source0 URL, you can use %{version} instead of 1.4. That will make it easier while updating the package in the future. 

The rest looks good.
Comment 8 Dan Mashal 2012-08-08 09:48:32 EDT
1. fixed
2. fixed
3. fixed
4. fixed
5. noted. please let me know where exactly this is wrong.
6. using %name twice in URL would break the link.
Comment 10 Wolfgang Ulbrich 2012-08-08 14:31:36 EDT
upstream has fixed the lib error.
http://pub.mate-desktop.org/releases/1.4/libmatenotify-1.4.1.tar.xz

and pls change changelog.
We need a crystal ball for understanding ;)
Comment 11 Dan Mashal 2012-08-09 22:02:57 EDT
fixed, updated to 1.4.1. please approve.
Comment 13 Wolfgang Ulbrich 2012-08-09 22:19:13 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "*No copyright* LGPL (with incorrect FSF
     address)", "LGPL (with incorrect FSF address)", "LGPL (v2.1 or later)
     (with incorrect FSF address)", "GPL (v2 or later)", "GPL (v2 or later)
     (with incorrect FSF address)", "*No copyright* GENERATED FILE" For
     detailed output of licensecheck see file:
     /home/rave/846661-libmatenotify/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: libmatenotify-1.4.1-6.fc18.x86_64.rpm
          libmatenotify-devel-1.4.1-6.fc18.x86_64.rpm
          libmatenotify-debuginfo-1.4.1-6.fc18.x86_64.rpm
          libmatenotify-1.4.1-6.fc18.src.rpm
libmatenotify.x86_64: W: incoherent-version-in-changelog 1.4.0-6 ['1.4.1-6.fc18', '1.4.1-6']
libmatenotify.x86_64: E: incorrect-fsf-address /usr/share/doc/libmatenotify-1.4.1/COPYING
libmatenotify.x86_64: W: no-manual-page-for-binary mate-notify-send
libmatenotify-devel.x86_64: W: no-documentation
libmatenotify-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatenotify/notify-features.h
4 packages and 0 specfiles checked; 2 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint libmatenotify-devel
libmatenotify-devel.x86_64: W: no-documentation
libmatenotify-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatenotify/notify-features.h
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
libmatenotify-1.4.1-6.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libmatenotify.so.1()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    pkgconfig  
    rtld(GNU_HASH)  

libmatenotify-devel-1.4.1-6.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    libmatenotify(x86-64) = 1.4.1-6.fc18
    libmatenotify.so.1()(64bit)  
    pkgconfig(dbus-1) >= 0.76
    pkgconfig(dbus-glib-1) >= 0.76
    pkgconfig(glib-2.0) >= 2.6
    pkgconfig(gtk+-2.0) >= 2.18

libmatenotify-debuginfo-1.4.1-6.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
libmatenotify-1.4.1-6.fc18.x86_64.rpm:
    
    libmatenotify = 1.4.1-6.fc18
    libmatenotify(x86-64) = 1.4.1-6.fc18
    libmatenotify.so.1()(64bit)  

libmatenotify-devel-1.4.1-6.fc18.x86_64.rpm:
    
    libmatenotify-devel = 1.4.1-6.fc18
    libmatenotify-devel(x86-64) = 1.4.1-6.fc18
    pkgconfig(libmatenotify) = 1.4.1

libmatenotify-debuginfo-1.4.1-6.fc18.x86_64.rpm:
    
    libmatenotify-debuginfo = 1.4.1-6.fc18
    libmatenotify-debuginfo(x86-64) = 1.4.1-6.fc18

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/libmatenotify-1.4.1.tar.xz :
  MD5SUM this package     : 50620d058e32531a2c3f24dfd7274295
  MD5SUM upstream package : 50620d058e32531a2c3f24dfd7274295


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 846661
External plugins:

approved
Comment 14 Dan Mashal 2012-08-09 22:22:02 EDT
New Package SCM Request
=======================
Package Name: libmatenotify
Short Description: Libraries for mate notify.
Owners: vicodan
Branches: f17 f18
InitialCC: raveit65 rdieter
Comment 15 Jon Ciesla 2012-08-09 22:28:51 EDT
Git done (by process-git-requests).
Comment 16 Wolfgang Ulbrich 2012-08-09 22:39:58 EDT
New Package SCM Request
=======================
Package Name: libmatenotify
Short Description: Libraries for mate notify.
Owners: vicodan
Branches: f17 f18
InitialCC: raveit65 rdieter

Why not ?

New Package SCM Request
=======================
Package Name: libmatenotify
Short Description: Libraries for mate notify.
Owners: vicodan raveit65 rdieter
Branches: f17 f18
InitialCC:

AND PLEASE ADD ME AS CO-OWNER TO WIKIPAGE
Comment 17 Wolfgang Ulbrich 2012-08-09 22:42:04 EDT
clever would add f16
Comment 18 Dan Mashal 2012-08-09 22:44:57 EDT
Wolfgang, relax, you will be given proper acls.
Comment 19 Fedora Update System 2012-08-09 23:03:46 EDT
libmatenotify-1.4.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmatenotify-1.4.1-6.fc17
Comment 20 Dan Mashal 2012-08-09 23:10:54 EDT
Package Change Request
======================
Package Name: libmatenotify
New Branches: f16
Owners: vicodan
Comment 21 Ankur Sinha (FranciscoD) 2012-08-10 01:58:01 EDT
Rpmlint
-------
Checking: libmatenotify-1.4.1-6.fc18.x86_64.rpm
          libmatenotify-devel-1.4.1-6.fc18.x86_64.rpm
          libmatenotify-debuginfo-1.4.1-6.fc18.x86_64.rpm
          libmatenotify-1.4.1-6.fc18.src.rpm
libmatenotify.x86_64: W: incoherent-version-in-changelog 1.4.0-6 ['1.4.1-6.fc18', '1.4.1-6']

Please correct that before you commit to SCM, Dan.

Warm regards,
Ankur
Comment 22 Dan Mashal 2012-08-10 02:02:03 EDT
Thakns Ankur. That has been fixed.
Comment 23 Jon Ciesla 2012-08-10 08:19:34 EDT
Git done (by process-git-requests).
Comment 24 Wolfgang Ulbrich 2012-08-10 08:40:01 EDT
As i said to you in gtalk, pls notify upstream about
incorrect-fsf-address.
Comment 25 Fedora Update System 2012-08-10 18:29:09 EDT
libmatenotify-1.4.1-8.fc17 has been pushed to the Fedora 17 testing repository.
Comment 26 Fedora Update System 2012-08-10 19:04:31 EDT
libmatenotify-1.4.1-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmatenotify-1.4.1-7.fc16
Comment 27 Fedora Update System 2012-08-10 19:27:03 EDT
libmatenotify-1.4.1-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmatenotify-1.4.1-8.fc16
Comment 28 Fedora Update System 2012-08-19 17:50:28 EDT
libmatenotify-1.4.1-8.fc17 has been pushed to the Fedora 17 stable repository.
Comment 29 Fedora Update System 2012-08-21 05:56:20 EDT
libmatenotify-1.4.1-8.fc16 has been pushed to the Fedora 16 stable repository.